Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453282 - cope with sysfs breakage introduced in 2.6.25
Summary: cope with sysfs breakage introduced in 2.6.25
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 21:32 UTC by David Zeuthen
Modified: 2013-03-06 03:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-28 18:37:52 UTC


Attachments (Terms of Use)

Description David Zeuthen 2008-06-28 21:32:04 UTC
This patch

 http://groups.google.com/group/open-iscsi/msg/7907d998901d2ddb?dmode=source&output=gplain

from this thread

 http://groups.google.com/group/open-iscsi/browse_thread/thread/2fb05cf059b8627d

is needed for kernels >= 2.6.25. Probably should also include this in F9 (and
possibly F8) as that release too is 2.6.25 based. 

I've tested the patch locally and it applies + works fine.

Thanks.

Comment 1 Mike Christie 2008-06-30 19:15:10 UTC
I fixed all the sysfs issues upstream with this
http://git.kernel.org/?p=linux/kernel/git/mnc/open-iscsi.git;a=commit;h=1c7c496a5195668482f34350ac8ccb2003908a04

There is one other issue that came in in 2.6.25 that I noticed when I was fixing
the issue you reported, where the iscsi tools were naughty and dug too deep in
the block layer symlnks and so
iscsiadm -m session -P 3 did not display the lun to /dev/sdX mapping right.

I am in the process of testing what is in the git head for a new release. I will
spin something new today or tommorrow based on it for Fedora testing.

Thanks for the report.

Comment 2 Mike Christie 2008-07-01 03:00:20 UTC
I updated the rpm in F8 and F9. It is
iscsi-initiator-utils-6.2.0.870-0.0.[fc8/fc9]. I put it in testing because I
want to do a little more testing. When 2.6.26 is out and we rebase I will have
my testing done and will release to stable.

Comment 3 Fedora Update System 2008-07-01 03:00:35 UTC
iscsi-initiator-utils-6.2.0.870-0.0.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-07-01 03:00:37 UTC
iscsi-initiator-utils-6.2.0.870-0.0.fc9 has been submitted as an update for Fedora 9

Comment 5 David Zeuthen 2008-07-01 17:16:01 UTC
Great, thanks for fixing this!

Comment 6 Fedora Update System 2008-07-02 06:31:37 UTC
iscsi-initiator-utils-6.2.0.870-0.0.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iscsi-initiator-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5926

Comment 7 Fedora Update System 2008-09-28 18:37:49 UTC
iscsi-initiator-utils-6.2.0.870-0.0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.